The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Radius Configuration for Domain

Prev Next

This URL retrieves the radius configuration for the domain.

Resource URL

GET /domain/<domain_id>/remoteaccess/radius

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

Domain id

Number

Yes

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

inheritSettings

Inherit settings from parent

Boolean

enableRadiusCLIAuthentication

Enable radius configuration flag

Boolean

primaryRadiusServer

Primary radius server

Object

secondayRadiusServer

Seconday radius server

Object

syslogFacility

Syslog facility

String

syslogPriorityMapping

Attack severity to syslog priority mapping

Object

message

Message format

String

filter

What attacks to log

Object

Details of primaryRadiusServer and secondayRadiusServer:

Field Name

Description

Data Type

serverIpAddr

IP address

String

sharedSecret

Shared secret key

String

authenticationPort

Authentication port

Number

connectionTimeoutInSeconds

Connection time out in seconds

Number

enableAccounting

Enable accounting flag

Boolean

accountingPort

Accounting port

Number

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/remoteaccess/radius

Response

{
"inheritSettings": false,
       "enableRadiusCLIAuthentication": true,
       "primaryRadiusServer":
       {
           "serverIpAddr": "1.1.1.3",
           "sharedSecret": "adsadasl3232",
           "authenticationPort": 1812,
           "connectionTimeoutInSeconds": 6,
           "enableAccounting": false,
           "accountingPort": 1813
       },
       "secondayRadiusServer":
       {
           "serverIpAddr": "1.1.1.5",
           "sharedSecret": "dssdfksdnfsdf",
           "authenticationPort": 1812,
           "connectionTimeoutInSeconds": 6,
           "enableAccounting": false,
           "accountingPort": 1813
       }
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain